The ModelCommittedEvent is fired when a model has unacknowledged local modifications to the model, and then all modifications are acknowledged by the server.

### Hierarchy

- ModelCommittedEvent

### Implements

- IModelEvent

## Index

### Properties

- name
- src
- NAME

## Properties

### name

name: string = ModelCommittedEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: RealTimeModel

Implementation of IModelEvent.src

The model model that emitted the event.

### StaticNAME

NAME: "committed" = "committed"